%define upstream_name    Text-Textile
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Transforms text in Textile format to HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Harness) >= 2.500.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc ARTISTIC Changes META.json META.yml MYMETA.yml
%{_bindir}/textile
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.130.0-9.mga10
+ Revision: 2201082
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.130.0-8.mga9
+ Revision: 1806388
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.130.0-7.mga8
+ Revision: 1497771
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.130.0-6.mga7
+ Revision: 1272183
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.130.0-5.mga6
+ Revision: 1035170
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.130.0-4.mga6
+ Revision: 932594
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.130.0-3.mga5
+ Revision: 743083
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.130.0-2.mga5
+ Revision: 686657
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 sander85 <sander85> 2.130.0-1.mga5
+ Revision: 657536
- update to 2.13

* Fri Oct 18 2013 umeabot <umeabot> 2.120.0-3.mga4
+ Revision: 515635
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.120.0-2.mga3
+ Revision: 374220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 2.120.0-1.mga1
+ Revision: 22960
- cleaning spec file
- imported package perl-Text-Textile

